> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/parameter/parameterusdupdate.md).

# Parameter$update

### Parameter$<mark style="color:purple;">update</mark>(*\*, name=NULL, values=NULL, type=NULL*) → self

Updates an existing parameter

### **Parameters:**

**`name` :&#x20;*****str*** \
The new name for the parameter, if provided. Parameter names follow the same naming convention as variables — they can only contain alphanumeric characters and underscores, and cannot start with a number.

**`values` :&#x20;*****list*** \
The list of values associated with the parameter. If provided, will overwrite the parameter's previous values. Parameters cannot have more than 10,000 values.

**`type` :&#x20;*****str ("boolean"|"integer"|"float"|"string"|"date"|"dateTime"), default None***\
A string representing the parameter's type. Must be one of the standard Redivis types other than `geography`. The values specified must be compatible with the set type, otherwise an error will be throw. If `values` is provided, but no `type` is provided, the type will be inferred based on the values.

### **Returns**

**self (a** [**Parameter**](/api/client-libraries/redivis-r/reference/parameter.md)**)**

### Examples

```r
workflow <- redivis$workflow("username.workflow_name")
workflow$parameter("my_param")$update(values=list("hello","world"))
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/parameter/parameterusdupdate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
